--- title: "Get SourceDeploy stage list" slug: "devtools-sourcepipeline-sourcedeploystagelist" tags: ["SourcePipeline"] updated: 2026-09-17T10:05:44Z published: 2026-09-17T10:05:44Z canonical: "api.ncloud-docs.com/devtools-sourcepipeline-sourcedeploystagelist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get SourceDeploy stage list Available in Classic and VPC Get the list of available deployment stages in a SourceDeploy project. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/sourcedeploy/project/{projectId}/stage | ### Request headers For information about the headers common to all SourcePipeline APIs, see [SourcePipeline request headers](/docs/en/devtools-sourcepipeline#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `projectId` | String | Required | Deployment project ID - See [Get SourceDeploy project list](/docs/en/devtools-sourcepipeline-sourcedeployprojectlist). | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `pageNo` | Number | Optional | Page number - 1-N - Required when entering `pageSize` | | `pageSize` | Number | Optional | Number of items per page - 1-N - Required when entering `pageNo` | | `searchWord` | String | Optional | Search keyword - Filter values that match the stage name in whole or in part. | ### Request example The request example is as follows: ``` curl --location --request GET 'https://vpcsourcepipeline.apigw.ntruss.com/api/v1/sourcedeploy/project/2***/stage?pageNo=1&pageSize=10&searchWord=st' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `result` | Object | - | Response result | | `result.stageList` | Array | - | Deployment stage list: [stageList](/docs/en/devtools-sourcepipeline-sourcedeploystagelist#stageList) | #### `stageList` The following describes `stageList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `id` | Number | - | Deployment stage ID | | `name` | String | - | Deployment stage name | ### Response status codes For information about the HTTP status codes common to all SourcePipeline APIs, see [SourcePipeline response status codes](/docs/en/devtools-sourcepipeline#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "result": { "stageList": [ { "id": 3***, "name": "dev-st" }, { "id": 3***, "name": "test-st" } ] } } ```